cURL
curl --request POST \
--url https://api.mottostreaming.com/streaming/stitchers/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"assets": {
"assets": [
{
"asset_id": "<string>",
"config": {
"order_index": 123
}
}
]
},
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"delete_inputs_after_stitching": true
}
'import requests
url = "https://api.mottostreaming.com/streaming/stitchers/v1"
payload = {
"project_id": "<string>",
"name": "<string>",
"assets": { "assets": [
{
"asset_id": "<string>",
"config": { "order_index": 123 }
}
] },
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"delete_inputs_after_stitching": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
name: '<string>',
assets: {assets: [{asset_id: '<string>', config: {order_index: 123}}]},
labels: [{key: '<string>', value: '<string>'}],
delete_inputs_after_stitching: true
})
};
fetch('https://api.mottostreaming.com/streaming/stitchers/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stitcher": {
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"assets": {
"assets": [
{
"asset_id": "<string>",
"config": {
"order_index": 123
}
}
]
},
"asset_id": "<string>",
"reserved_asset_id": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"delete_inputs_after_stitching": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Clips
Create stitcher
CreateStitcher
Creates a new stitcher instance. The stitcher instance is used to stitch inputs into a single output.
POST
/
streaming
/
stitchers
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
CreateStitcherRequest is the request message for CreateStitcher.
The ID of the project that owns the stitcher and the output will be stored.
The name of the stitcher. It's set to the generated output's name.
The input assets to be stitched.
Show child attributes
Show child attributes
labels of the stitcher. labels will be assigned to the output.
Show child attributes
Show child attributes
Whether to delete input assets after stitching is complete.
Response
OK
CreateStitcherResponse is the response message for CreateStitcher.
The created stitcher.
Show child attributes
Show child attributes
⌘I

